POST /v1/responses
OpenAI Responses-kompatibel slutpunkt för text, verktyg, värdbaserad webbsökning och Codex CLI.
POST /v1/responses
Begäran
curl https://api.model-gate.com/v1/responses \
-H "Authorization: Bearer mg_live_..." \
-H "Content-Type: application/json" \
-d '{
"model": "gpt-5.4",
"input": [
{
"role": "user",
"content": [{"type": "input_text", "text": "Summarize the release."}]
}
],
"stream": false
}'
Svar
{
"id": "resp_example",
"object": "response",
"status": "completed",
"model": "gpt-5.4",
"output": [
{
"type": "message",
"role": "assistant",
"content": [{"type": "output_text", "text": "The release adds synchronized documentation and model aliases."}]
}
],
"usage": {
"input_tokens": 18,
"output_tokens": 14,
"total_tokens": 32
}
}
Hosted webbsökning
Tillägga:
{
"tools": [{"type": "web_search"}],
"tool_choice": "required",
"include": ["web_search_call.action.sources"]
}
Det finns ingen separat stöd /v1/web-search kontrakt. Använd Responses API-verktyget.
Asynkron
"async": true stöds endast med "stream": false.